using Valg.EVA.Skanning.ServicesModel.ServiceContracts.EmergencyMode.Write;

namespace Valg.EVA.Skanning.Services.EmergencyMode
{
    public interface IEmergencyModeService
    {
        CreateEmergencyTokenResult CreateEmergencyTokenAndActivate(CreateEmergencyModeTokenParams createTokenParams);

        void StopEmergencyMode(string modifiedBy);

        bool IsEmergencyModeActive();

        string GetActiveToken();
    }
}
